import java.util.ArrayList;

public class Flight {
    private String designation;
    private String startDestination;
    private String finalDestination;
    private int distanceToFinalDestination;
    private double duration;
    private int dayOfDeparture;
    private int timeOfDeparture;
    private Airplane airplane;
    private ArrayList<Pilot> listOfPilots;

    public Flight(String designation, String startDestination, String finalDestination, double duration, int distance, int day, int timeOfDeparture) {
        this.designation = designation;
        this.startDestination = startDestination;
        this.finalDestination = finalDestination;
        this.duration = duration;
        this.distanceToFinalDestination = distance;
        this.timeOfDeparture = timeOfDeparture;
        this.dayOfDeparture = day;
        this.listOfPilots = new ArrayList<>();
    }

    public void addPilotToFlight (Pilot pilot){
        this.listOfPilots.add(pilot);
    }

    public boolean hasCaptain () {
        for (Pilot pilot: this.listOfPilots){
            if (pilot.canBeCaptain())
            {
                return true;
            }
        }
        return false;
    }

    public void addDistanceToAirplane(){
        this.airplane.setFlyingKilometres(this.distanceToFinalDestination*2);
    }

    public String pilotsOnFlightToString() {
        String pilots = "";
        for (Pilot pilot: listOfPilots)
        {
            pilots += pilot.getName() + " " + pilot.getLastName() + ", ";
        }
        return pilots;
    }

    public String getDesignation() {
        return designation;
    }
}
